### Class

# Foundry GitBranch

#### Description

    final class Foundry.GitBranch : Foundry.VcsBranch
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsBranch
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsBranch (4)

###### foundry_vcs_branch_dup_id

No description available.

###### foundry_vcs_branch_dup_title

No description available.

###### foundry_vcs_branch_is_local

No description available.

###### foundry_vcs_branch_load_target

Get the target reference the branch currently points at.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsBranch (3)

###### Foundry.VcsBranch:id

No description available.

###### Foundry.VcsBranch:is-local

No description available.

###### Foundry.VcsBranch:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitBranchClass {
      FoundryVcsBranchClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsBranchClass`

  No description available.